package com.yizhi.live.application.domain;

import java.io.Serializable;

import com.baomidou.mybatisplus.enums.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 *
 * </p>
 *
 * @author MybatisCodeGenerator123
 * @since 2020-12-09
 */
@ApiModel(value = "LiveReplay", description = "直播回放表")
@TableName("live_replay")
public class LiveReplay extends Model<LiveReplay>{

	private static final long serialVersionUID = 1L;

	@TableId(value="id")
	private Long id;

	@ApiModelProperty(value = "直播ID")
	@TableField("live_id")
	private Long liveId;

	@ApiModelProperty(value = "直播状态 10:未开始 40:直播中 90:已结束")
	@TableField("live_status")
	private Integer liveStatus;

	@ApiModelProperty(value = "直播回放状态 1: 上架 0:下架")
	@TableField("live_replay_status")
	private Boolean liveReplayStatus;

	@ApiModelProperty(value = "直播计划开始时间")
	@TableField("live_plan_start_at")
	private Date livePlanStartAt;

	@ApiModelProperty(value = "直播logo url")
	@TableField("live_logo_url")
	private String liveLogoUrl;

	@ApiModelProperty(value = "主播名称")
	@TableField("live_anchor")
	private String liveAnchor;

	@ApiModelProperty(value = "直播观看人数")
	@TableField("live_viewers")
	private Integer liveViewers;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@ApiModelProperty(value = "视频列表页数（默认以12条数据为1页）")
	@TableField("page_number")
	private Integer pageNumber;

	@ApiModelProperty(value = "回放视频总个数")
	@TableField("total_items")
	private Integer totalItems;

	@ApiModelProperty(value = "直播系统生成的id")
	@TableField("video_id")
	private String videoId;

	@ApiModelProperty(value = "点播视频ID")
	@TableField("video_pool_id")
	private String videoPoolId;

	@ApiModelProperty(value = "点播后台用户id")
	@TableField("user_id")
	private String userId;

	@ApiModelProperty(value = "回放视频对应的直播频道id")
	@TableField("channel_id")
	private String channelId;

	@ApiModelProperty(value = "视频标题")
	private String title;

	@ApiModelProperty(value = "视频首图")
	@TableField("first_image")
	private String firstImage;

	@ApiModelProperty(value = "时长")
	private String duration;

	@ApiModelProperty(value = "默认视频的播放清晰度，1为流畅，2为高清，3为超清")
	@TableField("my_br")
	private Integer myBr;

	@ApiModelProperty(value = "访客信息收集id")
	private String qid;

	@ApiModelProperty(value = "视频加密状态，1表示为加密状态，0为非加密")
	private Boolean seed;

	@ApiModelProperty(value = "添加为回放视频的日期")
	@TableField("created_time")
	private Date createdTime;

	@ApiModelProperty(value = "视频最后修改日期")
	@TableField("last_modified")
	private Date lastModified;

	@ApiModelProperty(value = "回放排序")
	private Integer rank;

	@ApiModelProperty(value = "是否为默认播放视频，值为1:Y 0:N")
	@TableField("as_default")
	private Boolean asDefault;

	@ApiModelProperty(value = "视频播放地址，注：如果视频为加密视频，则此地址无法访问")
	private String url;

	@ApiModelProperty(value = "文件ID")
	@TableField("file_id")
	private String fileId;

	@ApiModelProperty(value = "文件URL")
	@TableField("file_url")
	private String fileUrl;

	@ApiModelProperty(value = "观看URL")
	@TableField("watch_url")
	private String watchUrl;

	@ApiModelProperty(value = "用于PPT请求数据，与PPT直播的回放相关，普通直播回放值为null")
	@TableField("channel_session_id")
	private String channelSessionId;

	@ApiModelProperty(value = "视频合并信息，后续补充")
	@TableField("merge_info")
	private String mergeInfo;

	@ApiModelProperty(value = "直播开始时间")
	@TableField("start_time")
	private Date startTime;

	@ApiModelProperty(value = "liveType alone, ppt")
	@TableField("live_type")
	private String liveType;

	@ApiModelProperty(value = "是否为第一页，值为：1:true，0:false")
	@TableField("first_page")
	private Boolean firstPage;

	@ApiModelProperty(value = "是否为最后一页，值为：1:true，0:false")
	@TableField("last_page")
	private Boolean lastPage;

	@ApiModelProperty(value = "下一页编号")
	@TableField("next_page_number")
	private Integer nextPageNumber;

	@ApiModelProperty(value = "上一页编号")
	@TableField("pre_page_number")
	private Integer prePageNumber;

	@ApiModelProperty(value = "总页数")
	@TableField("total_pages")
	private Integer totalPages;

	@ApiModelProperty(value = "当前页第一个视频在回放视频中的位置")
	@TableField("start_row")
	private Integer startRow;

	@ApiModelProperty(value = "当前页最后一个视频在回放视频中的位置")
	@TableField("end_row")
	private Integer endRow;

	@TableField("created_at")
	private Date createdAt;

	@TableField("updated_at")
	private Date updatedAt;

	@ApiModelProperty(value = "回放图片说明")
	@TableField("image_desc")
	private String imageDesc;

	@ApiModelProperty(value = "回放置顶时间")
	@TableField("top_time")
	private Date topTime;


	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getLiveId() {
		return liveId;
	}

	public void setLiveId(Long liveId) {
		this.liveId = liveId;
	}

	public Integer getLiveStatus() {
		return liveStatus;
	}

	public void setLiveStatus(Integer liveStatus) {
		this.liveStatus = liveStatus;
	}

	public Boolean getLiveReplayStatus() {
		return liveReplayStatus;
	}

	public void setLiveReplayStatus(Boolean liveReplayStatus) {
		this.liveReplayStatus = liveReplayStatus;
	}

	public Date getLivePlanStartAt() {
		return livePlanStartAt;
	}

	public void setLivePlanStartAt(Date livePlanStartAt) {
		this.livePlanStartAt = livePlanStartAt;
	}

	public String getLiveLogoUrl() {
		return liveLogoUrl;
	}

	public void setLiveLogoUrl(String liveLogoUrl) {
		this.liveLogoUrl = liveLogoUrl;
	}

	public String getLiveAnchor() {
		return liveAnchor;
	}

	public void setLiveAnchor(String liveAnchor) {
		this.liveAnchor = liveAnchor;
	}

	public Integer getLiveViewers() {
		return liveViewers;
	}

	public void setLiveViewers(Integer liveViewers) {
		this.liveViewers = liveViewers;
	}

	public Long getCompanyId() {
		return companyId;
	}

	public void setCompanyId(Long companyId) {
		this.companyId = companyId;
	}

	public Long getSiteId() {
		return siteId;
	}

	public void setSiteId(Long siteId) {
		this.siteId = siteId;
	}

	public Integer getPageNumber() {
		return pageNumber;
	}

	public void setPageNumber(Integer pageNumber) {
		this.pageNumber = pageNumber;
	}

	public Integer getTotalItems() {
		return totalItems;
	}

	public void setTotalItems(Integer totalItems) {
		this.totalItems = totalItems;
	}

	public String getVideoId() {
		return videoId;
	}

	public void setVideoId(String videoId) {
		this.videoId = videoId;
	}

	public String getVideoPoolId() {
		return videoPoolId;
	}

	public void setVideoPoolId(String videoPoolId) {
		this.videoPoolId = videoPoolId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getChannelId() {
		return channelId;
	}

	public void setChannelId(String channelId) {
		this.channelId = channelId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getFirstImage() {
		return firstImage;
	}

	public void setFirstImage(String firstImage) {
		this.firstImage = firstImage;
	}

	public String getDuration() {
		return duration;
	}

	public void setDuration(String duration) {
		this.duration = duration;
	}

	public Integer getMyBr() {
		return myBr;
	}

	public void setMyBr(Integer myBr) {
		this.myBr = myBr;
	}

	public String getQid() {
		return qid;
	}

	public void setQid(String qid) {
		this.qid = qid;
	}

	public Boolean getSeed() {
		return seed;
	}

	public void setSeed(Boolean seed) {
		this.seed = seed;
	}

	public Date getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}

	public Date getLastModified() {
		return lastModified;
	}

	public void setLastModified(Date lastModified) {
		this.lastModified = lastModified;
	}

	public Integer getRank() {
		return rank;
	}

	public void setRank(Integer rank) {
		this.rank = rank;
	}

	public Boolean getAsDefault() {
		return asDefault;
	}

	public void setAsDefault(Boolean asDefault) {
		this.asDefault = asDefault;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getFileId() {
		return fileId;
	}

	public void setFileId(String fileId) {
		this.fileId = fileId;
	}

	public String getFileUrl() {
		return fileUrl;
	}

	public void setFileUrl(String fileUrl) {
		this.fileUrl = fileUrl;
	}

	public String getWatchUrl() {
		return watchUrl;
	}

	public void setWatchUrl(String watchUrl) {
		this.watchUrl = watchUrl;
	}

	public String getChannelSessionId() {
		return channelSessionId;
	}

	public void setChannelSessionId(String channelSessionId) {
		this.channelSessionId = channelSessionId;
	}

	public String getMergeInfo() {
		return mergeInfo;
	}

	public void setMergeInfo(String mergeInfo) {
		this.mergeInfo = mergeInfo;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public String getLiveType() {
		return liveType;
	}

	public void setLiveType(String liveType) {
		this.liveType = liveType;
	}

	public Boolean getFirstPage() {
		return firstPage;
	}

	public void setFirstPage(Boolean firstPage) {
		this.firstPage = firstPage;
	}

	public Boolean getLastPage() {
		return lastPage;
	}

	public void setLastPage(Boolean lastPage) {
		this.lastPage = lastPage;
	}

	public Integer getNextPageNumber() {
		return nextPageNumber;
	}

	public void setNextPageNumber(Integer nextPageNumber) {
		this.nextPageNumber = nextPageNumber;
	}

	public Integer getPrePageNumber() {
		return prePageNumber;
	}

	public void setPrePageNumber(Integer prePageNumber) {
		this.prePageNumber = prePageNumber;
	}

	public Integer getTotalPages() {
		return totalPages;
	}

	public void setTotalPages(Integer totalPages) {
		this.totalPages = totalPages;
	}

	public Integer getStartRow() {
		return startRow;
	}

	public void setStartRow(Integer startRow) {
		this.startRow = startRow;
	}

	public Integer getEndRow() {
		return endRow;
	}

	public void setEndRow(Integer endRow) {
		this.endRow = endRow;
	}


	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public String getImageDesc() {
		return imageDesc;
	}

	public void setImageDesc(String imageDesc) {
		this.imageDesc = imageDesc;
	}

	public Date getTopTime() {
		return topTime;
	}

	public void setTopTime(Date topTime) {
		this.topTime = topTime;
	}

	@Override
	public String toString() {
		return "LiveReplay{" +
				", id=" + id +
				", liveId=" + liveId +
				", liveStatus=" + liveStatus +
				", liveReplayStatus=" + liveReplayStatus +
				", livePlanStartAt=" + livePlanStartAt +
				", liveLogoUrl=" + liveLogoUrl +
				", liveAnchor=" + liveAnchor +
				", liveViewers=" + liveViewers +
				", companyId=" + companyId +
				", siteId=" + siteId +
				", pageNumber=" + pageNumber +
				", totalItems=" + totalItems +
				", videoId=" + videoId +
				", videoPoolId=" + videoPoolId +
				", userId=" + userId +
				", channelId=" + channelId +
				", title=" + title +
				", firstImage=" + firstImage +
				", duration=" + duration +
				", myBr=" + myBr +
				", qid=" + qid +
				", seed=" + seed +
				", createdTime=" + createdTime +
				", lastModified=" + lastModified +
				", rank=" + rank +
				", asDefault=" + asDefault +
				", url=" + url +
				", fileId=" + fileId +
				", fileUrl=" + fileUrl +
				", watchUrl=" + watchUrl +
				", channelSessionId=" + channelSessionId +
				", mergeInfo=" + mergeInfo +
				", startTime=" + startTime +
				", liveType=" + liveType +
				", firstPage=" + firstPage +
				", lastPage=" + lastPage +
				", nextPageNumber=" + nextPageNumber +
				", prePageNumber=" + prePageNumber +
				", totalPages=" + totalPages +
				", startRow=" + startRow +
				", endRow=" + endRow +
				", createdAt=" + createdAt +
				", updatedAt=" + updatedAt +
				"}";
	}

	/**
	 * 主键值
	 */
	@Override
	protected Serializable pkVal() {
		return this.id;
	}
}
