#新增排序字段
ALTER TABLE live_activity add sort INT(11) DEFAULT '999' COMMENT '直播排序；默认999';
#门户装修-移动端 头部导航 新增直播功能项
INSERT INTO `cloud_portal`.`site_dic` (`id`, `parent_id`, `name`, `code`, `des`, `img_url`, `status`, `type`, `create_time`, `update_time`, `sort`, `backup_desc`) VALUES ('134', '15', '直播', 'live', '直播', NULL, '1', '29', '2020-12-03 11:05:54', '2020-12-03 11:05:54', NULL, '0');
#门户装修-pc端 头部导航 新增直播功能项
INSERT INTO `cloud_portal`.`site_dic` (`id`, `parent_id`, `name`, `code`, `des`, `img_url`, `status`, `type`, `create_time`, `update_time`, `sort`, `backup_desc`) VALUES ('135', '32', '我的直播', 'live', '直播', NULL, '1', '29', '2020-12-03 18:09:10', '2020-12-03 18:09:10', NULL, '0');
#门户装修-pc端 新增模块配置选项
INSERT INTO `cloud_portal`.`site_dic` (`id`, `parent_id`, `name`, `code`, `des`, `img_url`, `status`, `type`, `create_time`, `update_time`, `sort`, `backup_desc`) VALUES ('136', '7', '直播', 'live', '直播', NULL, '1', '15', '2020-12-07 15:43:50', '2020-12-07 15:43:50', NULL, '0');

/* 2:32:35 PM yz-dev-开发 cloud_live */
ALTER TABLE `live_activity` ADD `status` INT  NULL  DEFAULT NULL  COMMENT '直播状态 10:未开始 40:直播中 90:已结束'  AFTER `sort`;

/* 2:33:35 PM yz-dev-开发 cloud_live */
ALTER TABLE `live_activity` ADD `replay_status` INT  NULL  DEFAULT NULL  COMMENT '直播回放开关状态 1: 开 0:关闭'  AFTER `status`;

/* 2:36:59 PM yz-dev-开发 cloud_live */
ALTER TABLE `live_activity` CHANGE `replay_status` `replay_status` BIT(1)  NULL  DEFAULT 1  COMMENT '直播回放开关状态 1: 开 0:关闭';

/* 2:38:35 PM yz-dev-开发 cloud_live */
ALTER TABLE `live_activity` ADD `replay_callback_status` BIT(1)  NULL  DEFAULT 0  COMMENT '直播回放回调状态 1:已回调 0:未回调'  AFTER `replay_status`;

#直播回放表
-- ----------------------------
-- Table structure for live_replay
-- ----------------------------
CREATE TABLE `live_replay` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `live_id` bigint(20) DEFAULT NULL COMMENT '直播ID',
  `live_status` int(11) DEFAULT NULL COMMENT '直播状态 10:未开始 40:直播中 90:已结束',
  `live_replay_status` bit(1) DEFAULT b'1' COMMENT '直播回放开关状态 1: 开 0:关闭',
  `live_plan_start_at` datetime DEFAULT NULL COMMENT '直播计划开始时间',
  `live_logo_url` varchar(128) DEFAULT NULL COMMENT '直播logo url',
  `live_anchor` varchar(32) DEFAULT NULL COMMENT '主播名称',
  `live_viewers` int(11) DEFAULT NULL COMMENT '直播观看人数',
  `company_id` bigint(20) DEFAULT NULL,
  `site_id` bigint(20) DEFAULT NULL,
  `page_number` int(11) DEFAULT NULL COMMENT '视频列表页数（默认以12条数据为1页）',
  `total_items` int(11) DEFAULT NULL COMMENT '回放视频总个数',
  `video_id` varchar(64) DEFAULT NULL COMMENT '直播系统生成的id',
  `video_pool_id` varchar(64) DEFAULT NULL COMMENT '点播视频ID',
  `user_id` varchar(64) DEFAULT NULL COMMENT '点播后台用户id',
  `channel_id` varchar(32) DEFAULT NULL COMMENT '回放视频对应的直播频道id',
  `title` varchar(256) DEFAULT NULL COMMENT '视频标题',
  `first_image` varchar(256) DEFAULT NULL COMMENT '视频首图',
  `duration` varchar(32) DEFAULT NULL COMMENT '时长',
  `my_br` int(11) DEFAULT NULL COMMENT '默认视频的播放清晰度，1为流畅，2为高清，3为超清',
  `qid` text COMMENT '访客信息收集id',
  `seed` bit(1) DEFAULT b'0' COMMENT '视频加密状态，1表示为加密状态，0为非加密',
  `created_time` datetime DEFAULT NULL COMMENT '添加为回放视频的日期',
  `last_modified` datetime DEFAULT NULL COMMENT '视频最后修改日期',
  `rank` int(11) DEFAULT NULL COMMENT '回放排序',
  `as_default` bit(11) DEFAULT b'1' COMMENT '是否为默认播放视频，值为1:Y 0:N',
  `url` varchar(256) DEFAULT NULL COMMENT '视频播放地址，注：如果视频为加密视频，则此地址无法访问',
  `file_id` varchar(64) DEFAULT NULL COMMENT '文件ID',
  `file_url` varchar(512) DEFAULT NULL COMMENT '文件URL',
  `watch_url` varchar(512) DEFAULT NULL COMMENT '观看URL',
  `lang` varchar(32) DEFAULT NULL COMMENT '语言类型',
  `channel_session_id` varchar(128) DEFAULT NULL COMMENT '用于PPT请求数据，与PPT直播的回放相关，普通直播回放值为null',
  `merge_info` varchar(256) DEFAULT NULL COMMENT '视频合并信息，后续补充',
  `start_time` datetime DEFAULT NULL COMMENT '直播开始时间',
  `live_type` varchar(32) DEFAULT NULL COMMENT 'liveType alone, ppt',
  `first_page` bit(11) DEFAULT b'1' COMMENT '是否为第一页，值为：1:true，0:false',
  `last_page` bit(1) DEFAULT b'1' COMMENT '是否为最后一页，值为：1:true，0:false',
  `next_page_number` int(11) DEFAULT NULL COMMENT '下一页编号',
  `pre_page_number` int(11) DEFAULT NULL COMMENT '上一页编号',
  `total_pages` int(11) DEFAULT NULL COMMENT '总页数',
  `start_row` int(11) DEFAULT NULL COMMENT '当前页第一个视频在回放视频中的位置',
  `end_row` int(11) DEFAULT NULL COMMENT '当前页最后一个视频在回放视频中的位置',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `uni_video_pool_id` (`video_pool_id`),
  KEY `idx_live_id` (`live_id`),
  KEY `idx_cid` (`company_id`),
  KEY `idx_siteId` (`site_id`),
  KEY `idx_start_time` (`start_time`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4;
